<template>
  <div>
    <el-dialog :title="type === 'edit' ? '编辑发票抬头' : '添加发票抬头'" v-model="props.showAddInvoiceHeaderDialog" @close="closeDialog">
      <invoiceForm @closeDialog="closeDialog" :invoiceProps="props.invoiceInfo" :type="props.type" page="dialog" :showAddInvoiceHeaderDialog="props.showAddInvoiceHeaderDialog" />
    </el-dialog>
  </div>
</template>

<script setup lang="ts">
import invoiceForm from './invoiceForm.vue';

interface Props {
  showAddInvoiceHeaderDialog: boolean,
  type: string,
  invoiceInfo: Record<any, any>
};
const props = defineProps<Props>();
const emit = defineEmits(['closeAddInvoiceHeaderDialog', 'updateInvoiceHeader']);

const closeDialog = (data:Record<any, any>):void => {
  if (!data) {
    emit('closeAddInvoiceHeaderDialog');
    return;
  }

  let { type, invoiceInfo } = data;
  type == 'edit' ? emit('updateInvoiceHeader', { invoice: invoiceInfo, type }) : emit('updateInvoiceHeader', { invoice: invoiceInfo, type: 'add' });
}
</script>

<style lang="scss" scoped></style>